import logging
from DateTime import DateTime
from Products.CMFCore.utils import getToolByName
from Products.PlonePAS.browser.search import PASSearchView

class CleanupUsers(object):

    def remove_unconfirmed_registrations(self):
        test = self.request.get("test", "")
        if test == "test":
            test = True
        else:
            test = False

        logger = logging.getLogger("eea.cynadmin")

        logger.info("Start removing unconfirmed registrations")
        if test:
            logger.info("It's just a test")
        pas = getToolByName(self.context, "acl_users")
        members = getToolByName(self.context, "Members")
        password_reset_tool = getToolByName(self.context, "portal_password_reset")
        criteria = {}
        acl_users = PASSearchView.merge(pas.searchUsers(**criteria), "userid")
        unconfirmed = [acl_user for acl_user in acl_users if members.get(acl_user['userid'], None) is None]
        unconfirmed_userids = [user['title'] for user in unconfirmed]
        now = DateTime()
        requests = password_reset_tool._requests.values()
        users_with_expired_reset_requests = [request[0] for request in requests if request[1] < now - 10]

        pas_source_users = pas.source_users.getUsers()
        plone_users_to_remove = []
        for plone_user in pas_source_users:
            if plone_user.getUserId() in unconfirmed_userids and \
                plone_user.getUserId() in users_with_expired_reset_requests and \
                plone_user.getOrderedPropertySheets()[0].getProperty('last_login_time').year() == 2000 and \
                plone_user.getOrderedPropertySheets()[0].getProperty('last_login_time').month() == 1 and \
                plone_user.getOrderedPropertySheets()[0].getProperty('last_login_time').day() == 1: 
                plone_users_to_remove.append(plone_user)

        logger.info("Removing users from acl_users with unconfirmed registrations, and registration expired in more than 10 days")
        logger.info("Removing %s users" %len(plone_users_to_remove))
        for user_to_remove in plone_users_to_remove:
            logger.info("Removing: %s" %user_to_remove.getUserId())
        if not test:
            pas.source_users.removeUser(user_to_remove.getUserId())

        logger.info("Remove finished")

    def remove_inactive_users(self):
        logger = logging.getLogger("eea.cynadmin")

        logger.info("Start removing inactive members")

        members = getToolByName(self.context, "Members")
        cat = getToolByName(self.context, "portal_catalog")
        mtool = getToolByName(self.context, "portal_membership")
        registeredfor = self.request.get("registeredfor", "10")
        test = self.request.get("test", "")
        if test == "test":
            test = True
        else:
            test = False

        if test:
            logger.info("It's just a test")

        try:
            registeredfor = int(registeredfor)
        except ValueError:
            registeredfor = 1

        now = DateTime()
        registeredsince = now - registeredfor

        membersregisteredsince = [member for member in members.values() if member.created() >= registeredsince]
        inactivemembers = [member for member in membersregisteredsince if len(cat({'Creator' : member.id})) == 1]

        logger.info("Removing inactive members, who registered in the last %s days" %registeredfor)
        memberstuple = ()
        for member in inactivemembers:
            logger.info("Marking for remove: %s" %member.id)
            memberstuple = memberstuple + (member.id,)
        logger.info("Removing %s members" %len(memberstuple))
        if not test:
            mtool.deleteMembers(memberstuple)
        logger.info("Remove finished")
        if test:
            logger.info("Test finished")

        return("Remove finished")


